/*
	scripts.js
	
	License: GNU General Public License v2.0
	License URI: http://www.gnu.org/licenses/gpl-2.0.html
	
	Copyright: (c) 2016 Biru, http://neowp.com
*/

jQuery(document).ready(function($) {

	if ($("ul.children").length>0) {
		$("ul.sub-menu").addClass("dropdown-menu").removeClass("sub-menu"); // switch sub-menu to dropdown-menu
		$("ul.children").addClass("dropdown-menu").removeClass("children"); // switch wp_page_menu children to dropdown-menu
		$("ul.dropdown-menu").parent().addClass("dropdown"); //add dropdown to top-level li.
		$("ul.nav li.dropdown > a").addClass("dropdown-toggle"); // add dropdown-toggle to wp_page_menu output
		$('ul.nav > li.dropdown > a.dropdown-toggle').append(' <span class="ti-angle-down"></span>'); //add dropdown indicator/caret
		$('ul.nav > li.dropdown li.dropdown > a.dropdown-toggle').append(' <span class="ti-angle-right"></span>'); //add dropdown indicator/caret
	}

	$('.dropdown').hover(function() {
		$(this).toggleClass('open');
	});
	
	$('a[data-toggle="tab"]').on('shown.bs.tab', function () {
		$(window).trigger('scroll');
	});

	$('.search-toggle').click(function(){
		$('.search-toggle').toggleClass('active');
		$('.search-expand').fadeToggle(250);
		setTimeout(function(){
			$('.search-expand input').focus();
		}, 300);
	});

	$(window).scroll(function () {
		if ($(this).scrollTop() > 50) {
			$('#back-to-top').fadeIn();
		} else {
			$('#back-to-top').fadeOut();
		}
	});

	$('#back-to-top').click(function () {
		$('#back-to-top').tooltip('hide');
		$('body,html').animate({
			scrollTop: 0
		}, 800);
		return false;
	});

	$('#back-to-top').tooltip('show');
});