<?php
/**
 * Template part for displaying featured posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Biru
 */

?>

<article id="post-<?php the_ID(); ?>" <?php biru_featured_class( 'item' ); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
	<div class="entry-thumbnail">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
			<?php the_post_thumbnail( 'thumb-featured' ); ?>
		</a>
	</div>	
	<?php endif; ?>

	<header class="entry-header">
		<div class="entry-meta">
			<?php biru_post_cat(); ?>
		<!-- .entry-meta --></div>

		<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

		<div class="entry-meta">
			<?php biru_post_author(); ?>
			<?php biru_post_date(); ?>
			<?php biru_post_comment(); ?>
		<!-- .entry-meta --></div>
	<!-- .entry-header --></header>
<!-- #post-<?php the_ID(); ?> --></article>