<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Biru
 */

get_header(); ?>

<div class="row site-main">
	<main id="main" class="col-md-8 content-area">

	<?php
		while ( have_posts() ) : the_post();

			get_template_part( 'partials/content', 'single' );

			biru_authorbox();

			the_post_navigation();

			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile;
	?>

	<!-- .content-area --></main>

	<?php get_sidebar(); ?>

<!-- .site-main --></div>

<?php
get_footer();