<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the .site-content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Biru
 */
 ?>

	<!-- .container --></div>
<!-- .site-content --></div>

<?php
	/* A sidebar in the footer? Yep. You can can customize
	 * your footer with up to four columns of widgets.
	 */
	get_sidebar( 'footer' );
?>

<footer class="site-footer">
	<div class="container">
		<div class="text-center site-info">
			<p>
			<?php
				printf(
					esc_html__( '&copy; %1$s %2$s. All rights reserved. Theme by %3$s.', 'biru' ),
					date( 'Y' ),
					get_bloginfo( 'name' ), '<a href="http://neowp.com/">Biru</a>'
				);
			?>
			</p>
		<!-- .site-info --></div>
	<!-- .container --></div>
<!-- .site-footer --></footer>

<a id="back-to-top" href="#" class="back-to-top" role="button" title="<?php printf( esc_html__( 'Click to return on the top page', 'biru' ) ); ?>" data-toggle="tooltip" data-placement="left">
	<span class="ti-angle-up"></span>
</a>

<?php wp_footer(); ?>

</body>
</html>