<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Biru
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'row' ); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
	<div class="col-xs-12 entry-thumbnail">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
			<?php the_post_thumbnail( 'thumb-large' ); ?>
		</a>
	</div>	
	<?php endif; ?>

	<header class="col-xs-12 entry-header">
		<div class="entry-meta">
			<?php biru_post_cat(); ?>
		<!-- .entry-meta --></div>

		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php biru_post_author(); ?>
			<?php biru_post_date(); ?>
			<?php biru_post_comment(); ?>
		<!-- .entry-meta --></div>
	<!-- .entry-header --></header>

	<div class="col-xs-12 entry-content">
		<?php
			the_content();
			wp_link_pages();
		?>
	<!-- .entry-content --></div>

	<footer class="col-xs-12 entry-footer">
		<?php biru_entry_tags(); ?>
	<!-- .entry-footer --></footer>
<!-- #post-<?php the_ID(); ?> --></article>